2017-07-23 13:36 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002288OpenFOAMPatchpublic2016-10-09 15:19
Reporterwyldckat 
Assigned Tohenry 
PrioritylowSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
Product Version4.x 
Target VersionFixed in Version4.x 
Summary0002288: foamToTecplot360 is not compiling due to the changes made to tmp
DescriptionI really don't know if this converter is scheduled to be discontinued sometime in the (near?) future or not. Nonetheless, attached are the following packages that have updated files for OpenFOAM 4.x and OpenFOAM-dev:

  - For OpenFOAM 4.x: foamToTecplot360_tmp_ref-4.x_v1.tar.gz

    - applications/utilities/postProcessing/dataConversion/foamToTecplot360/tecplotWriterTemplates.C
    - applications/utilities/postProcessing/dataConversion/foamToTecplot360/vtkMesh.H

      - Both files only needed to use ".ref" where the compiler complained about.


  - For OpenFOAM-dev: foamToTecplot360_tmp_ref-dev_v1.tar.gz

    - applications/utilities/postProcessing/dataConversion/foamToTecplot360/tecplotWriterTemplates.C
    - applications/utilities/postProcessing/dataConversion/foamToTecplot360/vtkMesh.H

      - Both files only needed to use ".ref" where the compiler complained about.

    - applications/utilities/postProcessing/dataConversion/foamToTecplot360/tecplotWriter.C

      - A constructor for "List<INTEGER4>" was acting up with the compiler, due to the arguments being "(label, INTEGER4)", which the compiler assumed was an iterator. This is an already known issue, as indicated on the comment for commit 22574e7133c23.

      - However, the comment indicated that using "scalar(0)" would solve the issue for "List<scalar>", which didn't happen here.

      - The solution was to construct only with size and then rely on "operator=" to assign the initial value to all items on the list.

Additional InformationBy the way, I've been keeping the following repository: https://github.com/wyldckat/localFoamToTecplot360/
The objective of this separate repository has been to make it easier for people who installed the Deb packs to build foamToTecplot360.

It's harbouring branches for several OpenFOAM versions, ranging from 1.7.* to 4.*. For dev I'm adding the branch in a few minutes.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006986

wyldckat (updater)

Sorry, I forgot to ask: if this is to be maintained for a longer period of time, I can contribute an "AllwmakeTecio" script for the "ThirdParty-*" folder.

~0006987

henry (manager)

I don't have access to Tecplot and have no idea if the coverter generates files compatible with recent releases. It would be better of the producers of Tecplot maintain a reader module for OpenFOAM and we discontinue the converter.

~0006991

wyldckat (updater)

I believe they (the producers of Tecplot) are still doing that and they have also suggested on the (CFD-Online) forums that people should to use their built-in reader instead.

Nonetheless, there are still some users that for some reason or other are using older Tecplot versions, which didn't have the respective OpenFOAM support. There was also some other reason regarding some types of fields... but I can't remember what it was exactly.

Either way, the already attached patch files for 4.x can fix the existing building bug.
If you want to discontinue support in OpenFOAM-dev, I leave that to your decision, since I'm not aware of any critical reasons for continuing support for this converter.


By the way, I don't have access to Tecplot either, I just based myself on people's feedback on the forum regarding if it builds or not and if it worked as intended or not.

~0006994

henry (manager)

Resolved in OpenFOAM-4.x by commit 77bf5fbf9e44cfb6709abcc28cb175e4540527f4
Resolved in OpenFOAM-dev by commit a003028582e3dbc4120bec3160a458a1e23e24b5
+Notes

-Issue History
Date Modified Username Field Change
2016-10-08 20:43 wyldckat New Issue
2016-10-08 20:43 wyldckat Status new => assigned
2016-10-08 20:43 wyldckat Assigned To => henry
2016-10-08 20:43 wyldckat File Added: foamToTecplot360_tmp_ref-4.x_v1.tar.gz
2016-10-08 20:43 wyldckat File Added: foamToTecplot360_tmp_ref-dev_v1.tar.gz
2016-10-08 20:47 wyldckat Note Added: 0006986
2016-10-08 21:14 henry Note Added: 0006987
2016-10-08 21:49 wyldckat Note Added: 0006991
2016-10-09 15:19 henry Status assigned => resolved
2016-10-09 15:19 henry Resolution open => fixed
2016-10-09 15:19 henry Fixed in Version => 4.x
2016-10-09 15:19 henry Note Added: 0006994
+Issue History